Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
New version of the java bindings by Malek, passing all [existing] tests
[simgrid.git] / examples / java / comm_time / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #########################
18 # How to compile the code
19 # All this to only get a dumb javac *java... Automake still have issues with java
20
21 # Makefile chunk which allows to display the files which should be included
22 # into the distribution.
23
24 # It is intended to be included in all Makefile.am 
25 VPATH = @srcdir@
26 pkgdatadir = $(datadir)/@PACKAGE@
27 pkglibdir = $(libdir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
45         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
46 subdir = examples/java/comm_time
47 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
48 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
49         $(top_srcdir)/acmacro/compiler-flags.m4 \
50         $(top_srcdir)/acmacro/context.m4 \
51         $(top_srcdir)/acmacro/fancy_configury.m4 \
52         $(top_srcdir)/acmacro/flex.m4 \
53         $(top_srcdir)/acmacro/gras_arch.m4 \
54         $(top_srcdir)/acmacro/print_null.m4 \
55         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
56 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
57         $(ACLOCAL_M4)
58 mkinstalldirs = $(install_sh) -d
59 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
60 CONFIG_CLEAN_FILES =
61 SOURCES =
62 DIST_SOURCES =
63 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 ACLOCAL = @ACLOCAL@
66 ADDR2LINE = @ADDR2LINE@
67 AMTAR = @AMTAR@
68 AM_CPPFLAGS = @AM_CPPFLAGS@
69 AR = @AR@
70 AS = @AS@
71 AUTOCONF = @AUTOCONF@
72 AUTOHEADER = @AUTOHEADER@
73 AUTOMAKE = @AUTOMAKE@
74 AWK = @AWK@
75 BASH = @BASH@
76 CC = @CC@
77 CCDEPMODE = @CCDEPMODE@
78 CFLAGS = @CFLAGS@
79 CPP = @CPP@
80 CPPFLAGS = @CPPFLAGS@
81 CXX = @CXX@
82 CXXCPP = @CXXCPP@
83 CXXDEPMODE = @CXXDEPMODE@
84 CXXFLAGS = @CXXFLAGS@
85 CYGPATH_W = @CYGPATH_W@
86 DEFS = @DEFS@
87 DEPDIR = @DEPDIR@
88 DLLTOOL = @DLLTOOL@
89 DOXYGEN = @DOXYGEN@
90 ECHO = @ECHO@
91 ECHO_C = @ECHO_C@
92 ECHO_N = @ECHO_N@
93 ECHO_T = @ECHO_T@
94 EGREP = @EGREP@
95 EXEEXT = @EXEEXT@
96 FLEXML = @FLEXML@
97 GCJ = @GCJ@
98 GCJDEPMODE = @GCJDEPMODE@
99 GCJFLAGS = @GCJFLAGS@
100 GRAS_DEP = @GRAS_DEP@
101 GREP = @GREP@
102 INSTALL = @INSTALL@
103 INSTALL_DATA = @INSTALL_DATA@
104 INSTALL_PROGRAM = @INSTALL_PROGRAM@
105 INSTALL_SCRIPT = @INSTALL_SCRIPT@
106 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
107 JAR = @JAR@
108 JAVA = @JAVA@
109 JAVAC = @JAVAC@
110 LDFLAGS = @LDFLAGS@
111 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
112 LEX = @LEX@
113 LEXLIB = @LEXLIB@
114 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
115 LIBOBJS = @LIBOBJS@
116 LIBS = @LIBS@
117 LIBTOOL = @LIBTOOL@
118 LN_S = @LN_S@
119 LTLIBOBJS = @LTLIBOBJS@
120 MAINT = @MAINT@
121 MAKEINFO = @MAKEINFO@
122 MD5SUM = @MD5SUM@
123 MKDIR_P = @MKDIR_P@
124 OBJDUMP = @OBJDUMP@
125 OBJEXT = @OBJEXT@
126 PACKAGE = @PACKAGE@
127 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
128 PACKAGE_NAME = @PACKAGE_NAME@
129 PACKAGE_STRING = @PACKAGE_STRING@
130 PACKAGE_TARNAME = @PACKAGE_TARNAME@
131 PACKAGE_VERSION = @PACKAGE_VERSION@
132 PATH_SEPARATOR = @PATH_SEPARATOR@
133 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
134 RANLIB = @RANLIB@
135 SET_MAKE = @SET_MAKE@
136 SHELL = @SHELL@
137 SIMGRID_DEP = @SIMGRID_DEP@
138 SMPI_DEP = @SMPI_DEP@
139 STRIP = @STRIP@
140 VERSION = @VERSION@
141 WARNING = @WARNING@
142 abs_builddir = @abs_builddir@
143 abs_srcdir = @abs_srcdir@
144 abs_top_builddir = @abs_top_builddir@
145 abs_top_srcdir = @abs_top_srcdir@
146 ac_configure_args = @ac_configure_args@
147 ac_ct_CC = @ac_ct_CC@
148 ac_ct_CXX = @ac_ct_CXX@
149 am__include = @am__include@
150 am__leading_dot = @am__leading_dot@
151 am__quote = @am__quote@
152 am__tar = @am__tar@
153 am__untar = @am__untar@
154 bindir = @bindir@
155 build = @build@
156 build_alias = @build_alias@
157 build_cpu = @build_cpu@
158 build_id = @build_id@
159 build_os = @build_os@
160 build_vendor = @build_vendor@
161 builddir = @builddir@
162 datadir = @datadir@
163 datarootdir = @datarootdir@
164 docdir = @docdir@
165 dvidir = @dvidir@
166 exec_prefix = @exec_prefix@
167 host = @host@
168 host_alias = @host_alias@
169 host_cpu = @host_cpu@
170 host_os = @host_os@
171 host_vendor = @host_vendor@
172 htmldir = @htmldir@
173 includedir = @includedir@
174 infodir = @infodir@
175 install_sh = @install_sh@
176 libdir = @libdir@
177 libexecdir = @libexecdir@
178 localedir = @localedir@
179 localstatedir = @localstatedir@
180 mandir = @mandir@
181 mkdir_p = @mkdir_p@
182 oldincludedir = @oldincludedir@
183 pdfdir = @pdfdir@
184 prefix = @prefix@
185 program_transform_name = @program_transform_name@
186 psdir = @psdir@
187 pth_skaddr_makecontext = @pth_skaddr_makecontext@
188 pth_sksize_makecontext = @pth_sksize_makecontext@
189 sbindir = @sbindir@
190 sharedstatedir = @sharedstatedir@
191 srcdir = @srcdir@
192 sysconfdir = @sysconfdir@
193 target = @target@
194 target_alias = @target_alias@
195 target_cpu = @target_cpu@
196 target_os = @target_os@
197 target_vendor = @target_vendor@
198 top_builddir = @top_builddir@
199 top_srcdir = @top_srcdir@
200 EXTRA_DIST = comm_time_deployment.xml comm_time_platform.xml surfxml.dtd
201
202 # Declare sources:
203 noinst_JAVA = Master.java Slave.java CommTimeTest.java CommTimeTask.java
204 TESTS = CommTimeTest.class
205 JAVAROOT = .
206 AM_JAVACFLAGS = -classpath $(top_srcdir)/src/simgrid.jar
207
208 ##########################
209 # What to do on make check
210 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
211 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
212 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
213 # We also need to express dependencies manually (in each test dir)
214 # Damn...
215 TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
216                   CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
217                   $(srcdir)/../runtest 
218
219 all: all-am
220
221 .SUFFIXES:
222 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
223         @for dep in $?; do \
224           case '$(am__configure_deps)' in \
225             *$$dep*) \
226               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
227                 && exit 0; \
228               exit 1;; \
229           esac; \
230         done; \
231         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/comm_time/Makefile'; \
232         cd $(top_srcdir) && \
233           $(AUTOMAKE) --gnu  examples/java/comm_time/Makefile
234 .PRECIOUS: Makefile
235 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
236         @case '$?' in \
237           *config.status*) \
238             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
239           *) \
240             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
241             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
242         esac;
243
244 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
245         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
246
247 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
248         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
249 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
250         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
251
252 mostlyclean-libtool:
253         -rm -f *.lo
254
255 clean-libtool:
256         -rm -rf .libs _libs
257
258 classnoinst.stamp: $(noinst_JAVA)
259         @list1='$?'; list2=; if test -n "$$list1"; then \
260           for p in $$list1; do \
261             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
262             list2="$$list2 $$d$$p"; \
263           done; \
264           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
265           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
266         else :; fi
267         echo timestamp > classnoinst.stamp
268
269 clean-noinstJAVA:
270         -rm -f *.class classnoinst.stamp
271 tags: TAGS
272 TAGS:
273
274 ctags: CTAGS
275 CTAGS:
276
277
278 check-TESTS: $(TESTS)
279         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
280         faillist=""; xpasslist=""; xfaillist=""; skiplist=""; \
281         srcdir=$(srcdir); export srcdir; \
282         list=' $(TESTS) '; \
283         if test -n "$$list"; then \
284           for tst in $$list; do \
285             if test -f ./$$tst; then dir=./; \
286             elif test -f $$tst; then dir=; \
287             else dir="$(srcdir)/"; fi; \
288             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
289               all=`expr $$all + 1`; \
290               case " $(XFAIL_TESTS) " in \
291               *$$ws$$tst$$ws*) \
292                 xpass=`expr $$xpass + 1`; \
293                 failed=`expr $$failed + 1`; \
294                 xpasslist="$$xpasslist $$tst"; \
295                 echo "XPASS: $$tst"; \
296               ;; \
297               *) \
298                 echo "PASS: $$tst"; \
299               ;; \
300               esac; \
301             elif test $$? -ne 77; then \
302               all=`expr $$all + 1`; \
303               case " $(XFAIL_TESTS) " in \
304               *$$ws$$tst$$ws*) \
305                 xfail=`expr $$xfail + 1`; \
306                 xfaillist="$$xfaillist $$tst"; \
307                 echo "XFAIL: $$tst"; \
308               ;; \
309               *) \
310                 failed=`expr $$failed + 1`; \
311                 faillist="$$faillist $$tst"; \
312                 echo "FAIL: $$tst"; \
313               ;; \
314               esac; \
315             else \
316               skip=`expr $$skip + 1`; \
317               skiplist="$$skiplist $$tst"; \
318               echo "SKIP: $$tst"; \
319             fi; \
320           done; \
321           if test "$$failed" -eq 0; then \
322             if test "$$xfail" -eq 0; then \
323               banner="All $$all tests passed"; \
324             else \
325               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
326             fi; \
327           else \
328             if test "$$xpass" -eq 0; then \
329               banner="$$failed of $$all tests failed"; \
330             else \
331               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
332             fi; \
333           fi; \
334           dashes="$$banner"; \
335           skipped=""; \
336           if test "$$skip" -ne 0; then \
337             skipped="($$skip tests were not run)"; \
338             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
339               dashes="$$skipped"; \
340           fi; \
341           report=""; \
342           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
343             report="Please report to $(PACKAGE_BUGREPORT)"; \
344             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
345               dashes="$$report"; \
346           fi; \
347           dashes=`echo "$$dashes" | sed s/./=/g`; \
348           echo "$$dashes"; \
349           echo "$$banner"; \
350           test -z "$$skipped" || echo "$$skipped"; \
351           test -z "$$report" || echo "$$report"; \
352           echo "$$dashes"; \
353           if test -n "$$faillist" ; then \
354             echo "Failed tests:";\
355             for tst in $$faillist ; do \
356               echo "  "$$tst;\
357             done;\
358           fi;\
359           if test -n "$$xpasslist" ; then \
360             echo "Unexpectedly passed tests:";\
361             for tst in $$xpasslist ; do \
362               echo "  "$$tst;\
363             done;\
364           fi;\
365           if test -n "$$xfaillist" ; then \
366             echo "Expected failures:";\
367             for tst in $$xfaillist ; do \
368               echo "  "$$tst;\
369             done;\
370           fi;\
371           if test -n "$$skiplist" ; then \
372             echo "Skipped tests:";\
373             for tst in $$skiplist ; do \
374               echo "  "$$tst;\
375             done;\
376           fi;\
377           test "$$failed" -eq 0; \
378         else :; fi
379
380 distdir: $(DISTFILES)
381         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
382         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
383         list='$(DISTFILES)'; \
384           dist_files=`for file in $$list; do echo $$file; done | \
385           sed -e "s|^$$srcdirstrip/||;t" \
386               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
387         case $$dist_files in \
388           */*) $(MKDIR_P) `echo "$$dist_files" | \
389                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
390                            sort -u` ;; \
391         esac; \
392         for file in $$dist_files; do \
393           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
394           if test -d $$d/$$file; then \
395             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
396             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
397               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
398             fi; \
399             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
400           else \
401             test -f $(distdir)/$$file \
402             || cp -p $$d/$$file $(distdir)/$$file \
403             || exit 1; \
404           fi; \
405         done
406 check-am: all-am
407         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
408 check: check-am
409 all-am: Makefile classnoinst.stamp
410 installdirs:
411 install: install-am
412 install-exec: install-exec-am
413 install-data: install-data-am
414 uninstall: uninstall-am
415
416 install-am: all-am
417         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
418
419 installcheck: installcheck-am
420 install-strip:
421         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
422           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
423           `test -z '$(STRIP)' || \
424             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
425 mostlyclean-generic:
426
427 clean-generic:
428
429 distclean-generic:
430         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
431
432 maintainer-clean-generic:
433         @echo "This command is intended for maintainers to use"
434         @echo "it deletes files that may require special tools to rebuild."
435 clean: clean-am
436
437 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
438
439 distclean: distclean-am
440         -rm -f Makefile
441 distclean-am: clean-am distclean-generic
442
443 dvi: dvi-am
444
445 dvi-am:
446
447 html: html-am
448
449 info: info-am
450
451 info-am:
452
453 install-data-am:
454
455 install-dvi: install-dvi-am
456
457 install-exec-am:
458
459 install-html: install-html-am
460
461 install-info: install-info-am
462
463 install-man:
464
465 install-pdf: install-pdf-am
466
467 install-ps: install-ps-am
468
469 installcheck-am:
470
471 maintainer-clean: maintainer-clean-am
472         -rm -f Makefile
473 maintainer-clean-am: distclean-am maintainer-clean-generic
474
475 mostlyclean: mostlyclean-am
476
477 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
478
479 pdf: pdf-am
480
481 pdf-am:
482
483 ps: ps-am
484
485 ps-am:
486
487 uninstall-am:
488
489 .MAKE: install-am install-strip
490
491 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
492         clean-libtool clean-noinstJAVA distclean distclean-generic \
493         distclean-libtool distdir dvi dvi-am html html-am info info-am \
494         install install-am install-data install-data-am install-dvi \
495         install-dvi-am install-exec install-exec-am install-html \
496         install-html-am install-info install-info-am install-man \
497         install-pdf install-pdf-am install-ps install-ps-am \
498         install-strip installcheck installcheck-am installdirs \
499         maintainer-clean maintainer-clean-generic mostlyclean \
500         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
501         uninstall uninstall-am
502
503
504 #if HAVE_JAVA
505  # Declare test class
506
507 # declare that we must recompile everything before lauching tests
508 $(TESTS): classnoinst.stamp
509
510 dist-files:
511         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
512         @echo
513         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
514 #endif
515
516 # Cruft
517 # Tell versions [3.59,3.63) of GNU make to not export all variables.
518 # Otherwise a system limit (for SysV at least) may be exceeded.
519 .NOEXPORT: